﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.Orders
{
    /// <summary>
    /// 省工单预警
    /// </summary>
    [Description("省工单预警")]
    public class OrderWarning : FullStateEntity
    {
        /// <summary>
        /// 工单编号
        /// </summary>
        public string OrderId { get; set; }

        /// <summary>
        /// 工单
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(OrderId))]
        public Order Order { get; set; }

        /// <summary>
        /// 预警规则
        /// </summary>
        public string WarnRulename { get; set; }

        /// <summary>
        /// 规则明细
        /// </summary>
        public string WarnDescribe { get; set; }

        /// <summary>
        /// 预警应处理时间
        /// </summary>
        public DateTime? WarnTimebf { get; set; }

        /// <summary>
        /// 预警等级
        /// </summary>
        public string WarnDegree { get; set; }

        /// <summary>
        /// 预警类型
        /// </summary>
        public string WarnType { get; set; }

        /// <summary>
        /// 预警时间
        /// </summary>
        public DateTime? WarnDate { get; set; }
    }
}
